## org.gnu.gtk.event
Class EntryCompletionEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.EntryCompletionEvent

All Implemented Interfaces:
  java.io.Serializable

public class EntryCompletionEvent
extends GtkEvent

This event is used to identify when a EntryCompletion receives an event

See Also:
  `EntryCompletionListener`, Serialized Form

Nested Class Summary
`static class` `EntryCompletionEvent.Type`

Constructor Summary
`EntryCompletionEvent(java.lang.Object source, EventType type)` Constructor for EntryCompletionEvent.

Method Summary
`int` `getIndex()`
`TreeIter` `getIter()`
`TreeModelFilter` `getModel()`
`boolean` `isOfType(EntryCompletionEvent.Type aType)`
`void` `setIndex(int index)`
`void` `setIter(TreeIter iter)`
`void` `setModel(TreeModelFilter model)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntryCompletionEvent

    public EntryCompletionEvent(java.lang.Object source,
                                EventType type)

  Constructor for EntryCompletionEvent.

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(EntryCompletionEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### getIndex

    public int getIndex()

  Returns:
    Returns the index.

### setIndex

    public void setIndex(int index)

  Parameters:
    `index` - The index to set.

### getIter

    public TreeIter getIter()

  Returns:
    Returns the iter.

### setIter

    public void setIter(TreeIter iter)

  Parameters:
    `iter` - The iter to set.

### getModel

    public TreeModelFilter getModel()

  Returns:
    Returns the model.

### setModel

    public void setModel(TreeModelFilter model)

  Parameters:
    `model` - The model to set.